using System;

using Microsoft.AspNetCore.TestHost;

using Xunit;

using WebApiStudy.IntegrationTest;
using System.Net;

namespace ConfigureStudy.WebAppTest
{
    [Collection(name:"GlobalTestServer")]
    public class TestDemo:IDisposable
    {
        private TestServer testServer;

        public TestDemo(TestServerFixture testServer)
        {
            this.testServer = testServer.TestServer;
        }

        [Fact]
        public void Test()
        {
            var client = testServer.CreateClient();
            var apiResponse=  client.GetAsync("/api/values").Result;

            Assert.True(apiResponse.StatusCode==HttpStatusCode.OK);
        }

        public void Dispose()
        {

        }
    }
}
